#include "SpritePartconfigList.h"
#include "data.h"
#define maxNumOfParts		10

class Sprite
{

protected:
	unsigned int spriteNumber;
	unsigned short gender;
	unsigned short x;
	unsigned short y;
	unsigned short w;
	unsigned short h;
	SpritePart spriteParts [maxNumOfParts];
	unsigned int spritePartIds [maxNumOfParts];
	int spriteXOffsets [maxNumOfParts];
	int spriteYOffsets [maxNumOfParts];
	unsigned short numOfParts;
public:

	SpritePart* get_spriteParts(int);
	unsigned int * get_spritePartIds();
	int * get_spriteXOffsets();
	int * get_spriteYOffsets();
	unsigned int get_spriteNumber();
	unsigned short get_numOfParts();
	unsigned short get_h();
	unsigned short get_w();
	unsigned short get_X();
	unsigned short get_Y();
	unsigned short get_gender();

	void set_spriteXOffsets( int  , int );
	void set_spriteYOffsets( int  , int );
	void set_spritePartIds( int  ,unsigned int );
	void set_spriteNumber(unsigned int);
	void set_numOfParts(unsigned short);
	void set_h(unsigned short);
	void set_w(unsigned short);
	void set_X(unsigned short);
	void set_Y(unsigned short);
	void set_gender(unsigned short);
	void loadSpriteParts(SpritePartconfigList*);
	void draw( BITMAP*,DATAFILE *);
	//need to make these
	int switchPart(unsigned int  ,unsigned int );
	//void addPart(int partid);
	//void removePart(int location);
	Sprite( );

};